<!-- field label -->
<div class="app-label">
  {{ config.label | uppercase }}
</div>

<!-- switch by type -->
<ng-container [ngSwitch]="config.type">
  <!-- input -->
  <ng-container *ngSwitchCase="'input'">
    <!-- input field -->
    <input [formControl]="control" [placeholder]="config.placeholder || 'Type Here'" class="app-field" />
  </ng-container>

  <!-- select field -->
  <ng-container *ngSwitchCase="'select'">
    <!-- select -->
    <app-select [control]="control" [options]="config.options"></app-select>
  </ng-container>

  <!-- date field -->
  <ng-container *ngSwitchCase="'date'">
    <app-date [control]="control" placeholder="Select date"></app-date>
  </ng-container>

  <ng-container *ngSwitchCase="'start-date'">
    <app-date [control]="control" [maxDate]="maxDate" placeholder="Select date"></app-date>
  </ng-container>

  <ng-container *ngSwitchCase="'end-date'">
    <app-date [control]="control" [minDate]="minDate" placeholder="Select date"></app-date>
  </ng-container>
</ng-container>
